Reevaluate Metrics
Evaluate metrics against result transcripts
Authorizations
API Key Authentication. It should be included in the header of each request.
Path Parameters
A unique integer value identifying this result.
Body
Response
Name of the Result
Example: "Test Result 1"
255Unique identifier for the Result
Example: 123
ID of the AI agent that was tested
Example: 123
Name of the AI agent that was tested
Example: "Test Agent 1"
Whether the agent is configured for inbound calls (true) or outbound calls (false)
Example: true or false
Current status of the result
running- Runningcompleted- Completedfailed- Failedpending- Pendingin_progress- In Progressevaluating- Evaluatingin_queue- In Queuetimeout- Timeoutcancelled- Cancelledscaling_up- Scaling Up
running, completed, failed, pending, in_progress, evaluating, in_queue, timeout, cancelled, scaling_up Success rate of the test runs as a decimal (0.0 to 1.0)
Whether this test was run in text mode instead of voice mode
Example: true or false
Whether this result was created by a scheduled cronjob
Example: true or false
Run summaries for this result. For full run data including transcripts and metric scores, fetch the result detail endpoint — there runs is a dict keyed by run ID.
Number of test runs that met the expected outcome criteria
Example: 10
Total number of test runs that were evaluated for expected outcomes
Example: 10
Total number of test runs associated with this result
Example: 10
Number of test runs that have completed successfully
Example: 10
Number of test runs that were marked as successful
Example: 10
Number of test runs that failed or encountered errors
Example: 10
List of scenario names used in the test runs for this result Example:
[
{
"id": 123,
"name": "Scenario 1"
},
{
"id": 456,
"name": "Scenario 2"
}
]Run Execution Type
Timestamp when this test result was created
Example: 2021-01-01 00:00:00
Timestamp when this test result was last updated